%global momorel 1
%global svnrev 206
%global svndate 20090621

Summary: A Qt frontend to Octave
Name: qtoctave
Version: 0.8.1
#Release: %{momorel}m%{?dist}
Release: 0.0.%{svndate}.%{momorel}m%{?dist}
Group: Applications/Engineering
License: GPLv2+
# project info: https://forja.rediris.es/projects/csl-qtoctave/
URL: http://qtoctave.wordpress.com/
#Source0: https://forja.rediris.es/frs/download.php/744/%{name}-%{version}.tar.gz
#NoSource: 0
Source0: qtoctave-0.8.1-r206.tar.lzma
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: qt octave
Requires: xmlwidget easy_plot
BuildRequires: qt-devel cmake

%description
Besides offering an attractive front-end to GNU Octave, an environment
for numerical computation highly compatible with MATLAB, QtOctave
currently also features matrix data entry and display and some GUI
shortcuts to frequently used Octave functions.

%prep
%setup -q

%build
%cmake \
	-DCMAKE_C_FLAGS_RELEASE:STRING="-DNDEBUG" \
	-DCMAKE_CXX_FLAGS_RELEASE:STRING="-DQT_NO_DEBUG" \
	-DCMAKE_SKIP_RPATH:STRING="ON" \
	.

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=QtOctave
GenericName=QtOctave - Qt Frontend to Octave
Comment=QtOctave Qt Frontend to Octave
Exec=qtoctave
Terminal=false
Type=Application
Icon=octave
EOF
# install desktop file
desktop-file-install --vendor= \
    --dir %{buildroot}%{_datadir}/applications \
    --remove-category Application \
    --add-category Science \
    --add-category Math \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
touch %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root)
%doc *.txt
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%changelog
* Wed Jun 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.1-0.0.20090621.1m)
- update to svn rev 206

* Thu Jun  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.1-0.0.20090602.1m)
- update to svn rev 203

* Fri Jan 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.4-6m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.4-5m)
- rebuild against rpm-4.6

* Tue Jul  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-4m)
- apply cmake26.patch to enable build
- http://groups.google.com/group/qtoctave-english/browse_thread/thread/d807b5f4e6971328

* Sun May 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-3m)
- change Icon of desktop file from %%{_datadir}/octave/KIMEUCHI/imagelib/octave-sombrero.png to octave

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.4-2m)
- rebuild against qt-4.4.0-1m

* Sat Apr 19 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.4-1m)
- import to Momonga
